Close

Drivers for Primacy

primacy

Windows 10 | 8.1 | 7 | Vista (32/64 bit) and Windows XP SP3

Important: To use this version of driver, a firmware upgrade of your printer(s) is required.

The new feature “add card pre-loading management for Primacy Printer and monochrome ribbons” will be functionnal only with the Primacy’s firmware release upper than 1604 version.

 

Download Drivers version history

 


Mac Drivers

The new feature “add card pre-loading management for Primacy Printer and monochrome ribbons” will be functionnal only with the Primacy’s firmware release upper than 1604 version

Download Mac Drivers version history


 

Linux drivers

RPM installation packages:

 

DEB installation packages: 

 If your Linux Distribution requires further package type, please contact your official Evolis reseller / distributor.


 

Firmware

To upgrade your firmware, please read this FAQ

 

IMPORTANT NOTE :

If your current firmware version is inferior or equal to V.1304,  your printer must be upgraded  with  the firmware V.1506 before upgrading  to V.1604

 

For more information, please contact your Evolis reseller or distributor.

 

Download Firmware version history

 

 

Evolis High Trust consumables & Cleaning kits